Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.shingle
Class ShingleMatrixFilter.TokenPositioner

    java.lang.Object
      org.apache.lucene.analysis.shingle.ShingleMatrixFilter.TokenPositioner

Enclosing class:
  ShingleMatrixFilter

    public static class ShingleMatrixFilter.TokenPositioner

extends Object

Used to describe how a `Token` is to be inserted to a `ShingleMatrixFilter.Matrix`.

See Also:
  `ShingleMatrixFilter.TokenSettingsCodec.getTokenPositioner(org.apache.lucene.analysis.Token)`, `ShingleMatrixFilter.TokenSettingsCodec.setTokenPositioner(org.apache.lucene.analysis.Token,org.apache.lucene.analysis.shingle.ShingleMatrixFilter.TokenPositioner)`

Field Summary
`static ShingleMatrixFilter.TokenPositioner` | `newColumn`
`static ShingleMatrixFilter.TokenPositioner` | `newRow`
`static ShingleMatrixFilter.TokenPositioner` | `sameRow`

Method Summary
`int` | `getIndex()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### newColumn

    public static final ShingleMatrixFilter.TokenPositioner newColumn

### newRow

    public static final ShingleMatrixFilter.TokenPositioner newRow

### sameRow

    public static final ShingleMatrixFilter.TokenPositioner sameRow

Method Detail

### getIndex

    public int getIndex()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.